@echo off
@echo Verificando a existencia do LeonardoSpectrum
if exist C:\MGC\LeoSpec\LS2013a\bin\win32\leonardo.exe (set LEOSPEC_ROOTDIR=C:\MGC\LeoSpec\LS2013a) ELSE exit

@echo Movendo as bibliotecas C35, TSMC e AMI para o LeonardoSpectrum
move .\lib\ami05_typ.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\ami12_typ.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\c35_CORELIB.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\c35_CORELIB_3B.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\c35_IOLIB_3B_4M.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\c35_IOLIB_4M.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\c35_IOLIBV5_4M.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\tsmc018_typ.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\tsmc025_typ.syn %LEOSPEC_ROOTDIR%\lib
move .\lib\tsmc035_typ.syn %LEOSPEC_ROOTDIR%\lib

@echo Movendo os arquivos de inicializacao das bibliotecas TSMC e AMI para o LeonardoSpectrum
if exist %LEOSPEC_ROOTDIR%\lib\devices.ini (move %LEOSPEC_ROOTDIR%\lib\devices.ini %LEOSPEC_ROOTDIR%\lib\devices.old)
move .\lib\devices.ini %LEOSPEC_ROOTDIR%\lib
move .\lib\ami05_typ.ini %LEOSPEC_ROOTDIR%\lib
move .\lib\ami12_typ.ini %LEOSPEC_ROOTDIR%\lib
move .\lib\tsmc018_typ.ini %LEOSPEC_ROOTDIR%\lib
move .\lib\tsmc025_typ.ini %LEOSPEC_ROOTDIR%\lib
move .\lib\tsmc035_typ.ini %LEOSPEC_ROOTDIR%\lib
move .\lib\ams16.bmp %LEOSPEC_ROOTDIR%\lib

@echo Movendo o arquivo de definicao dos componentes das bibliotecas TSMC e AMI para o LeonardoSpectrum
if exist %LEOSPEC_ROOTDIR%\lib\adk_comp.vhd (move %LEOSPEC_ROOTDIR%\lib\adk_comp.vhd %LEOSPEC_ROOTDIR%\lib\adk_comp.old)
move .\lib\adk_comp.vhd %LEOSPEC_ROOTDIR%\lib

@echo Atualizando as definicoes de componentes
if exist %LEOSPEC_ROOTDIR%\data\modgen\adk.vhd (move %LEOSPEC_ROOTDIR%\data\modgen\adk.vhd %LEOSPEC_ROOTDIR%\lib\adk.old)
copy .\data\modgen\adk.vhd %LEOSPEC_ROOTDIR%\data\modgen
if exist %LEOSPEC_ROOTDIR%\data\modgen\adk_comp.vhd (move %LEOSPEC_ROOTDIR%\data\modgen\adk_comp.vhd %LEOSPEC_ROOTDIR%\lib\adk.old)
copy .\data\modgen\adk_comp.vhd %LEOSPEC_ROOTDIR%\data\modgen

@echo Movendo a biblioteca de simbolos para o LeonardoSpectrum
rem Movendo a biblioteca de simbolos para o LeonardoSpectrum
move .\data\symlibs\c35_CORELIB.slib %LEOSPEC_ROOTDIR%\data\symlibs

@echo Preparando a criao da biblioteca ADK para o ModelSim
rem Preparando a criao da biblioteca ADK para o ModelSim
mkdir %LEOSPEC_ROOTDIR%\..\..\Modeltech
mkdir %LEOSPEC_ROOTDIR%\..\..\Modeltech\vhdl_src
mkdir %LEOSPEC_ROOTDIR%\..\..\Modeltech\vhdl_src\adk3_1
move .\data\modgen\adk.vhd %LEOSPEC_ROOTDIR%\..\..\Modeltech\vhdl_src\adk3_1
move .\data\modgen\adk_comp.vhd %LEOSPEC_ROOTDIR%\..\..\Modeltech\vhdl_src\adk3_1

@echo Criando diretrio da nova biblioteca
rem Criando diretrio da nova biblioteca
mkdir %LEOSPEC_ROOTDIR%\..\..\Modeltech\adk

@echo Removendo os diretorios
rmdir .\lib
rmdir .\data\modgen
rmdir .\data\symlibs
rmdir .\data

@echo Apagando as variaveis
set LEOSPEC_ROOTDIR=

@echo Terminado
